net.sf.jasperreports.web.actions

## Class AbstractAction

- java.lang.Object
- - net.sf.jasperreports.web.actions.AbstractAction

- All Implemented Interfaces:
    Action
  Direct Known Subclasses:
    AbstractVerifiableTableAction, FilterAction, MultiAction, RedoAction, SaveAction, SaveZoomAction, SearchAction, SortAction, SortByColumnAction, SortRowGroupAction, UndoAction, UndoAllAction

      public abstract class AbstractAction
      extends java.lang.Object
      implements Action

  Version:
    $Id: AbstractAction.java 6923 2014-02-24 14:18:52Z teodord $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AbstractAction.ActionErrors`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ERR_CONCAT_STRING`
    `protected AbstractAction.ActionErrors` | `errors`
    `static java.lang.String` | `PARAM_COMMAND_STACK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.text.NumberFormat` | `createNumberFormat(java.lang.String pattern, java.util.Locale locale)`
    `CommandStack` | `getCommandStack()`
    `CommandTarget` | `getCommandTarget(java.util.UUID uuid)`
    `CommandTarget` | `getCommandTarget(java.util.UUID uuid, java.lang.Class<? extends JRDesignElement> elementType)`
    `JasperReportsContext` | `getJasperReportsContext()`
    `java.lang.String` | `getMessagesBundle()`
    `ReportContext` | `getReportContext()`
    `void` | `init(JasperReportsContext jasperReportsContext, ReportContext reportContext)`
    `abstract void` | `performAction()`
    `boolean` | `requiresRefill()`
    `void` | `run()`
    `void` | `setCommandStack(CommandStack commandStack)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PARAM_COMMAND_STACK

          public static final java.lang.String PARAM_COMMAND_STACK

      See Also:
        Constant Field Values

    - #### ERR_CONCAT_STRING

          public static final java.lang.String ERR_CONCAT_STRING

      See Also:
        Constant Field Values

    - #### errors

          protected AbstractAction.ActionErrors errors

  - ### Constructor Detail

    - #### AbstractAction

          public AbstractAction()

  - ### Method Detail

    - #### getMessagesBundle

          public java.lang.String getMessagesBundle()

    - #### init

          public void init(JasperReportsContext jasperReportsContext,
                  ReportContext reportContext)

    - #### getJasperReportsContext

          public JasperReportsContext getJasperReportsContext()

    - #### getReportContext

          public ReportContext getReportContext()

    - #### run

          public void run()
                   throws ActionException

      Specified by:
        `run` in interface `Action`
      Throws:
        `ActionException`

    - #### getCommandStack

          public CommandStack getCommandStack()

    - #### setCommandStack

          public void setCommandStack(CommandStack commandStack)

    - #### performAction

          public abstract void performAction()
                                      throws ActionException

      Throws:
        `ActionException`

    - #### getCommandTarget

          public CommandTarget getCommandTarget(java.util.UUID uuid)

    - #### getCommandTarget

          public CommandTarget getCommandTarget(java.util.UUID uuid,
                                       java.lang.Class<? extends JRDesignElement> elementType)

    - #### createNumberFormat

          public java.text.NumberFormat createNumberFormat(java.lang.String pattern,
                                                  java.util.Locale locale)

    - #### requiresRefill

          public boolean requiresRefill()

      Specified by:
        `requiresRefill` in interface `Action`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com